Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class BarcodeEANSUPP

    java.lang.Object
      com.lowagie.text.pdf.Barcode
          com.lowagie.text.pdf.BarcodeEANSUPP

    public class BarcodeEANSUPP

extends Barcode

This class takes 2 barcodes, an EAN/UPC and a supplemental and creates a single barcode with both combined in the expected layout. The UPC/EAN should have a positive text baseline and the supplemental a negative one (in the supplemental the text is on the top of the barcode.

The default parameters are:

    n = 8; // horizontal distance between the two barcodes

Author:
  Paulo Soares (psoares@consiste.pt)

Field Summary
`protected Barcode` | `ean` The barcode with the EAN/UPC.
`protected Barcode` | `supp` The barcode with the supplemental.

Fields inherited from class com.lowagie.text.pdf.Barcode
`altText, barHeight, baseline, checksumText, CODABAR, code, CODE128, CODE128_RAW, CODE128_UCC, codeType, EAN13, EAN8, extended, font, generateChecksum, guardBars, inkSpreading, n, PLANET, POSTNET, size, startStopText, SUPP2, SUPP5, textAlignment, UPCA, UPCE, x`

Constructor Summary
`BarcodeEANSUPP(Barcode ean, Barcode supp)` Creates new combined barcode.

Method Summary
`Image` | `createAwtImage(Color foreground, Color background)` Creates a `java.awt.Image`.
`Rectangle` | `getBarcodeSize()` Gets the maximum area that the barcode and the text, if any, will occupy.
`Rectangle` | `placeBarcode(PdfContentByte cb, Color barColor, Color textColor)` Places the barcode in a `PdfContentByte`.

Methods inherited from class com.lowagie.text.pdf.Barcode
`createImageWithBarcode, createTemplateWithBarcode, getAltText, getBarHeight, getBaseline, getCode, getCodeType, getFont, getInkSpreading, getN, getSize, getTextAlignment, getX, isChecksumText, isExtended, isGenerateChecksum, isGuardBars, isStartStopText, setAltText, setBarHeight, setBaseline, setChecksumText, setCode, setCodeType, setExtended, setFont, setGenerateChecksum, setGuardBars, setInkSpreading, setN, setSize, setStartStopText, setTextAlignment, setX`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ean

    protected Barcode ean

  The barcode with the EAN/UPC.

### supp

    protected Barcode supp

  The barcode with the supplemental.

Constructor Detail

### BarcodeEANSUPP

    public BarcodeEANSUPP(Barcode ean,
                          Barcode supp)

  Creates new combined barcode.

  Parameters:
    `ean` - the EAN/UPC barcode
    `supp` - the supplemental barcode

Method Detail

### getBarcodeSize

    public Rectangle getBarcodeSize()

  Gets the maximum area that the barcode and the text, if any, will occupy. The lower left corner is always (0, 0).

  Specified by:
    `getBarcodeSize` in class `Barcode`
  Returns:
    the size the barcode occupies.

### placeBarcode

    public Rectangle placeBarcode(PdfContentByte cb,
                                  Color barColor,
                                  Color textColor)

  Places the barcode in a `PdfContentByte`. The barcode is always placed at coodinates (0, 0). Use the translation matrix to move it elsewhere.

  The bars and text are written in the following colors:

  `barColor` | `textColor` | Result
  --- | --- | ---
  `null` | `null` | bars and text painted with current fill color
  `barColor` | `null` | bars and text painted with `barColor`
  `null` | `textColor` | bars painted with current color text painted with `textColor`
  `barColor` | `textColor` | bars painted with `barColor` text painted with `textColor`

  Specified by:
    `placeBarcode` in class `Barcode`
  Parameters:
    `cb` - the `PdfContentByte` where the barcode will be placed
    `barColor` - the color of the bars. It can be `null`
    `textColor` - the color of the text. It can be `null`
  Returns:
    the dimensions the barcode occupies

### createAwtImage

    public Image createAwtImage(Color foreground,
                                Color background)

  Creates a `java.awt.Image`. This image only contains the bars without any text.

  Specified by:
    `createAwtImage` in class `Barcode`
  Parameters:
    `foreground` - the color of the bars
    `background` - the color of the background
  Returns:
    the image

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD